import Vue from 'vue'
import App from './App'
import store from './store'
import { VueJsonp } from 'vue-jsonp'

Vue.config.productionTip = false

// Vue.config.ignoredElements = ['wx-open-subscribe']
Vue.config.ignoredElements = [ ...Vue.config.ignoredElements, 'wx-open-launch-weapp' ]


Vue.prototype.$store = store
Vue.prototype.$wx = require('jweixin-module')
App.mpType = 'app'


// jsonp
Vue.use(VueJsonp)

const app = new Vue({
    ...App
})
app.$mount()
